net.minecraftforge.event.terraingen

## Class TerrainGen

- java.lang.Object
- - net.minecraftforge.event.terraingen.TerrainGen

-     public abstract class TerrainGen
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TerrainGen()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `decorate(World world, Random rand, int chunkX, int chunkZ, DecorateBiomeEvent.Decorate.EventType type)`
    `static boolean` | `generateOre(World world, Random rand, WorldGenerator generator, int worldX, int worldZ, OreGenEvent.GenerateMinable.EventType type)`
    `static MapGenBase` | `getModdedMapGen(MapGenBase original, InitMapGenEvent.EventType type)`
    `static NoiseGeneratorOctaves[]` | `getModdedNoiseGenerators(World world, Random rand, NoiseGeneratorOctaves[] original)`
    `static boolean` | `populate(IChunkProvider chunkProvider, World world, Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated, PopulateChunkEvent.Populate.EventType type)`
    `static boolean` | `saplingGrowTree(World world, Random rand, int x, int y, int z)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TerrainGen

          public TerrainGen()

  - ### Method Detail

    - #### getModdedNoiseGenerators

          public static NoiseGeneratorOctaves[] getModdedNoiseGenerators(World world,
                                                         Random rand,
                                                         NoiseGeneratorOctaves[] original)

    - #### getModdedMapGen

          public static MapGenBase getModdedMapGen(MapGenBase original,
                                   InitMapGenEvent.EventType type)

    - #### populate

          public static boolean populate(IChunkProvider chunkProvider,
                         World world,
                         Random rand,
                         int chunkX,
                         int chunkZ,
                         boolean hasVillageGenerated,
                         PopulateChunkEvent.Populate.EventType type)

    - #### decorate

          public static boolean decorate(World world,
                         Random rand,
                         int chunkX,
                         int chunkZ,
                         DecorateBiomeEvent.Decorate.EventType type)

    - #### generateOre

          public static boolean generateOre(World world,
                            Random rand,
                            WorldGenerator generator,
                            int worldX,
                            int worldZ,
                            OreGenEvent.GenerateMinable.EventType type)

    - #### saplingGrowTree

          public static boolean saplingGrowTree(World world,
                                Random rand,
                                int x,
                                int y,
                                int z)